## ros-kinetic-rslidar-driver 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rslidar_driver)

add_compile_options(-std=c++11)
set(CMAKE_BUILD_TYPE Release)#RelWithDebInfo
## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
set(${PROJECT_NAME}_CATKIN_DEPS
        angles
        pcl_ros
        roscpp
        roslib
        sensor_msgs
        tf
        dynamic_reconfigure
        diagnostic_updater
        rslidar_msgs
        nodelet
        )

set(libpcap_LIBRARIES -lpcap)

find_package(catkin REQUIRED COMPONENTS
        ${${PROJECT_NAME}_CATKIN_DEPS}
        pcl_conversions
        rospy
        std_msgs
        genmsg
        message_generation
        )

find_package(Boost COMPONENTS signals)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(PkgConfig REQUIRED)


include_directories(${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS}
        ${dynamic_reconfigure_PACKAGE_PATH}/cmake/cfgbuild.cmake)

generate_dynamic_reconfigure_options(cfg/rslidarNode.cfg)

catkin_package(
        CATKIN_DEPENDS ${${PROJECT_NAME}_CATKIN_DEPS}
        CATKIN_DEPENDS message_runtime std_msgs
)

add_subdirectory(src)

install(FILES nodelet_rslidar.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== src/CMakeLists.txt ===
add_library(rslidar_input input.cc)
target_link_libraries(rslidar_input
        ${catkin_LIBRARIES}
        ${libpcap_LIBRARIES})

add_library(rslidar_driver rsdriver.cpp)
target_link_libraries(rslidar_driver
        rslidar_input
        ${catkin_LIBRARIES})

# build the nodelet version
add_library(rsdriver_nodelet nodelet.cc rsdriver.cpp)
target_link_libraries(rsdriver_nodelet
        rslidar_input
        ${catkin_LIBRARIES}
        )

add_executable(rslidar_node rslidar_node.cpp)

if (catkin_EXPORTED_TARGETS)
    add_dependencies(rslidar_input ${catkin_EXPORTED_TARGETS})
endif ()

target_link_libraries(rslidar_node
        rslidar_driver
        rslidar_input
        ${catkin_LIBRARIES}
        ${libpcap_LIBRARIES}
        )

install(TARGETS rslidar_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        COMPONENT main
        )
install(TARGETS rsdriver_nodelet
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        )

install(TARGETS rslidar_input
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        )

install(TARGETS rslidar_driver
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        )

=== debian/changelog ===
ros-kinetic-rslidar-driver (1.0.2-0xenial) xenial; urgency=high

  * Updated maintainer for this fork
  * Added license to source files
  * Contributors: amc-nu

 -- Abraham Monrroy <abrahammonrroy@yahoo.com>  Sun, 24 Mar 2019 15:00:00 -0000

ros-kinetic-rslidar-driver (1.0.1-0xenial) xenial; urgency=high

  * Fixes to packages and missing install commands
  * Added install commands
  * Fixed conflict with velodyne when installing on shared space
  * renamed driver_nodelet to rsdriver_nodelet
  * Fixed CMake, packages and Launch files
  * Merge branch 'cut_angle_and_difop' into develop-curves-function
  * bug: fix scan stamp mistake npackets - 1 to back in cut angle
  * Merge branch 'develop-curves-function' of 192.168.1.20:system_group/ros_rslidar into develop-curves-function
  * perf:improve the ordered pointcloud code
  * fix:change "velodyne" to "rslidar"
  * refactor:rename port to msop_portRename the port to msop_portDelete the uncessary debug information
  * style: clang format code files and less cmake warning
  * perf: set CMAKE_BUILD_TYPE Release, cpu drop from 28% to 19%
  * feat: add the cut at specific angle featureIf the cut_angle is set to (0-2pi), the cut at specific angle featureactivated, otherwise use the fixed packets number mode.
  * feat: add nodelet version
  * feat: add difop parse
  * Fix the bug that add in the CMakelist
  * Merge pull request #5 <https://github.com/CPFL/robosense/issues/5>_ from enwaytech/ml/fix_cmake_warningsml/fix cmake warnings
  * [ros_rslidar] fixed cmake warnings, removed unneccessary deps
  * Merge pull request #1 <https://github.com/CPFL/robosense/issues/1>_ from RoboSense-LiDAR/develop-curves-functionMerge latest robosense updates
  * Remove the uncessary dependency in package.xml
  * Merge pull request #2 <https://github.com/CPFL/robosense/issues/2>_ from enwaytech/fix_cmake_installremove wrong install instructions in CMakeLists
  * remove wrong install instructions in CMakeLists
  * Modify the readme.Add the rviz startup in launch file.
  * Covert double to float2. Remove the re-defined variable.
  * Reformate the code style.
  * Modify the code expression.2. Remove the unnecessary variables.
  * Modify the parameter for the type of lidar in the launch file and add the intensity into display of RS-32.
  * Merge RS-16 and RS-32 code.
  * formate the code in input.cc
  * Modify the ip to device ip
  * Add send message function when poll out
  * Fix the unpack logic to avoid cloud to be empty
  * Add the diagnostic_updater into build depend to avoid someone occur the compile error
  * Fix the wrong delete the rslidarScan header file
  * Delete double set header files
  * Add the license declaration.
  * Modify the CMakeLists to avoid compile error and remove some uncessary definition.
  * Clear the code
  * Delete the empty include directory
  * Remove the uncessary PWR file content
  * Add inlcude directory
  * Remove the uncessary network configuration
  * Add mutil lidar function
  * Clear unnecessary variables.
  * rslidar mutil node version 1.0.0
  * Contributors: Bo Chen, Lizhongpeng, Matthias Loebach, Tony Zhang, amc-nu, baoxianzhang, guoleiming, zhangbaoxian

 -- Abraham Monrroy <abrahammonrroy@yahoo.com>  Thu, 21 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rslidar-driver
Section: misc
Priority: extra
Maintainer: Abraham Monrroy <abrahammonrroy@yahoo.com>
Build-Depends: debhelper (>= 9.0.0), libpcap0.8-dev, libpcl-dev, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-generation, ros-kinetic-nodelet, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rslidar-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rslidar-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl1.7, ros-kinetic-angles, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-runtime, ros-kinetic-nodelet, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-rslidar-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: segmentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rslidar-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
